<?php

namespace App\Factory\Blog;

use App\Core\Factory\FactoryInterface;
use App\Entity\Blog\Post;

/**
 * class PostFactory.
 *
 * @author Simon Vieille <simon@deblan.fr>
 */
class PostFactory implements FactoryInterface
{
    public function create(): Post
    {
        $entity = new Post();

        $entity
            ->setStatus(0)
        ;

        return $entity;
    }
}
